%define name		cql-java
%define version		0.7.0
%define release		1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	CQL Compiler for Java
Epoch:		0

Group:		Development/Java
Packager:	Chris Hubick <chris@hubick.com>
License:	LGPL
URL:		http://zing.z3950.org/cql/java/
Source0:	%{name}-%{version}-%{release}.zip
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	ant >= 0:1.6
Requires:	jpackage-utils >= 0:1.5
BuildArch:	noarch

%description
A free CQL compiler written in Java. As well as the compiler itself, it includes classes representing CQL queries as abstract trees of variously typed nodes, a decompiler (translating trees back into CQL), a translator into YAZ-style Prefix Query Format and a random query generator which is useful for some kinds of testing.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation
Requires:	jpackage-utils >= 0:1.5

%description	javadoc
Javadoc for %{name}.

%package	scripts
Summary:	Scripts for %{name}
Group:		Development/Java
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	bash perl

%description	scripts
Scripts for %{name}.

%prep
%setup -q -n %{name}

%build
%ant build

%install
%__rm -rf %{buildroot}

# jars
%__mkdir_p %{buildroot}%{_javadir}
%__cp -a target/%{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%__ln_s %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# javadoc
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -a target/docs/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
%__ln_s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

# scripts
%__mkdir_p %{buildroot}%{_bindir}
%__cp -a target/scripts/test/cql-java-generator.sh %{buildroot}%{_bindir}/cql-java-generator.sh
%__cp -a target/scripts/test/cql-java-lexer.sh %{buildroot}%{_bindir}/cql-java-lexer.sh
%__cp -a target/scripts/test/cql-java-parser.sh %{buildroot}%{_bindir}/cql-java-parser.sh

%clean
%__rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc target/docs/CHANGES.txt
%doc target/docs/LICENSE.txt
%doc target/docs/README.txt
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar

%files	javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%files	scripts
%defattr(0755,root,root,0755)
%{_bindir}/cql-java-generator.sh
%{_bindir}/cql-java-lexer.sh
%{_bindir}/cql-java-parser.sh

%changelog
* Mon Aug 22 2005 Chris Hubick <chris@hubick.com> 0:0.7.0-1
- First Package Release
